<div class="update-client">
  <app-content-banner [isDashboard]="false" pageName="Update Client"></app-content-banner>
    <form [formGroup]="UpdateClientGroup" (ngSubmit)="onSubmit()">
  <mat-card class="updtClient-main-card mat-elevation-z0">
        <mat-card-header fxLayout="column" fxLayoutGap="10px">
                  <div fxLayout="row" class="second-header-filter">
                    <span><b>First Name: </b> <span>{{clientInfo.firstName}}</span></span>
                    <span><b>Last Name: </b> <span>{{clientInfo.lastName}}</span></span>
                    <span><b>DOB: </b> <span>{{clientInfo.dob}}</span></span>
                    <span><b>SSN: </b> <span>{{clientInfo.ssn}}</span></span>
                    <span><b>Source System: </b> <span>{{clientInfo.clientSourceDescription}}</span></span>
                    <span><b>Client#: </b> <span>{{clientInfo.clientID}}</span></span>
                  </div>
        </mat-card-header>
     <mat-card-content>
     <div class="example-small-box" fxLayout="column">
          <div class="example-container ">
               
           <div fxLayout="row">
                <div fxFlex="50" class="col">
                    <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">HRA Client #: </label>
                    <mat-form-field appearance="outline" fxFlex="50">
                        <input matInput formControlName="hraClientIdCtrl">
                    </mat-form-field>
                  </div>
                  <div fxFlex="50" class="col">
                      <label class="lblstyle" style="padding-left: 20px"  fxFlex="30">VPS Client #: </label>
                      <mat-form-field appearance="outline" fxFlex="50">
                          <input matInput formControlName="vpsClientIdCtrl">
                    </mat-form-field>  
                       
                    </div>
              </div>

              <div fxLayout="row">
                  <div fxFlex="50" class="col">
                      <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">Client First Name: </label>
                      <mat-form-field appearance="outline" fxFlex="50">
                          <input matInput formControlName="clientfirstNameCtrl">
                      </mat-form-field>
                    </div>
                    <div fxFlex="50" class="col">
                        <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">Client Last Name: </label>
                        <mat-form-field appearance="outline" fxFlex="50">
                            <input matInput formControlName="clientLastNameCtrl">
                      </mat-form-field>  
                         
                      </div>
                </div>

                <div fxLayout="row">
                    <div fxFlex="50" class="col">
                        <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">AKA First Name: </label>
                        <mat-form-field appearance="outline" fxFlex="50">
                            <input matInput formControlName="akafirstNameCtrl">
                        </mat-form-field>
                      </div>
                      <div fxFlex="50" class="col">
                          <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">AKA Last Name: </label>
                          <mat-form-field appearance="outline" fxFlex="50">
                              <input matInput formControlName="akaLastNameCtrl">
                        </mat-form-field>  
                           
                        </div>
                  </div>


             <div fxLayout="row">
                  <div fxFlex="50" class="col">
                      <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">SSN : </label>
                      <mat-form-field appearance="outline" fxFlex="30">
                          <input matInput formControlName="ssnCtrl" mask="000-00-0000" required [showMaskTyped]="true">
                          <mat-error *ngIf="UpdateClientGroup.get('ssnCtrl').invalid && UpdateClientGroup.get('ssnCtrl').value !== ''">Please enter a valid SSN.</mat-error>
                        
                      </mat-form-field>
                    </div>
                    <div fxFlex="50" class="col">
                        <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">DOB : </label>
                        <mat-form-field appearance="outline">
                            <input type="text" matInput formControlName="dobCtrl" (change)="calculateAge()" required
                              [textMask]="mask" placeholder="MM/DD/YYYY">
                          </mat-form-field>
                      <label class="lblstyle " style="padding-left: 20px"  fxFlex="10">Age </label>
                        <mat-form-field appearance="outline" fxFlex="20">
                                <input matInput formControlName="ageCtrl">
                        </mat-form-field>  
                         
                      </div>
                </div>

           
             

              <div fxLayout="row">
                  <div fxFlex="50" class="col">
                      <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">Gender :  </label>
                      <mat-form-field appearance="outline" fxFlex="30">
                          <mat-select formControlName="genderCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let gender of genders" [value]="gender.refGroupDetailID">
                                {{ gender.refGroupDetailDescription }}
                              </mat-option>
                            </mat-select>
                      </mat-form-field>
                    </div>
                    <div fxFlex="50" class="col">
                        <label class="lblstyle " style="padding-left: 20px"  fxFlex="30"> Ethnicity :</label>
                        <mat-form-field appearance="outline" fxFlex="30">
                            <mat-select formControlName="ethenicityCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let ethnicity of ethnicities" [value]="ethnicity.refGroupDetailID">
                                  {{ ethnicity.refGroupDetailDescription }}
                                </mat-option>
                              </mat-select>
                         
                      </mat-form-field>  
                         
                      </div>
                </div>
  
             

              
              <div fxLayout="row">
                  <div fxFlex="50" class="col">
                      <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">Interpreter: </label>
                      <mat-form-field appearance="outline" fxFlex="30">
                          <mat-select formControlName="interpreterCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let  yesNoType of yesNoTypes" [value]="yesNoType.refGroupDetailID">
                                {{ yesNoType.refGroupDetailDescription }}
                              </mat-option>
                            </mat-select>
                      </mat-form-field>
                    </div>
                    <div fxFlex="50" class="col">
                        <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">Language </label>
                        <mat-form-field appearance="outline" fxFlex="30">
                            <mat-select formControlName="languageCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let language of languages" [value]="language.refGroupDetailID">
                                  {{ language.refGroupDetailDescription }}
                                </mat-option>
                              </mat-select>
                            
                      </mat-form-field>  
                         
                      </div>
                </div>
        
         
            
              <div fxLayout="row">
                  <div fxFlex="50" class="col">
                      <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">CIN #: </label>
                      <mat-form-field appearance="outline" fxFlex="30">
                          <input matInput formControlName="scimsCtrl">
                      </mat-form-field>
                    </div>
                    <div fxFlex="50" class="col">
                     </div>
                </div>
                <div fxLayout="row">
                        <div fxFlex="50" class="col">
                            <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">PACT Referral #</label>
                            <mat-form-field appearance="outline" fxFlex="30">
                                <input matInput formControlName="pactReferralCtrl">
                            </mat-form-field>
                          </div>
                          <div fxFlex="50" class="col">
                              <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">VPS Referral # </label>
                              <mat-form-field appearance="outline" fxFlex="30">
                                  <input matInput formControlName="vpsReferralCtrl">
                            </mat-form-field>  
                               
                            </div>
                      </div>
                      <div fxLayout="row">
                            <div fxFlex="50" class="col">
                                <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">Updated By </label>
                                <mat-form-field appearance="outline" fxFlex="50">
                                    <input matInput formControlName="updatedByCtrl">
                                </mat-form-field>
                              </div>
                              <div fxFlex="50" class="col">
                                  <label class="lblstyle " style="padding-left: 20px"  fxFlex="30">Updated Date</label>
                                  <mat-form-field appearance="outline" fxFlex="30">
                                      <input matInput formControlName="updatedDateCtrl">
                                </mat-form-field>  
                                   
                                </div>
                          </div>
                  
          </div>
        </div>

      </mat-card-content>
      <div fxFlex fxLayout="row" style="margin: 5px; margin-top: 20px; " fxLayoutGap="10px">
          <div ><button  mat-raised-button color="primary" style="width: 130px;" (click)="OnSave($event)" >Update</button></div>
          <div ><button  mat-raised-button color="primary" type="button" style="width: 130px;" (click)="clearPage()" >Cancel</button></div>
          <div ><button  mat-raised-button color="primary" type="button" style="width: 130px;" (click)="exitPage()">Exit</button></div>
    
    </div>
     
     
    </mat-card>
  </form>
 </div>